package grailsgtd

/**
 * Filtry
 */
class AuthentificationFilters {

    def filters = {
        /**
         * Filtr aplikovaný na všechny akce a controllery napříč aplikací
         * s vyjmutím controlleru uživatel. Kontroluje, zda je uživatel přihlášen
         * a v případě potřeby provede zablokování přístupu přesměrováním
         * na stránku s přihlášením
         */
        all(controller:'*', action:'*') {
            before = {

                if (!session.user && controllerName != 'user') {
                    redirect(controller: 'user',action: 'login')
                    return false
                }

            }
        }
    }
}
