package grailsgtd

/**
 * Model komentářů
 */
class Comment {

    /* Parametry */
    Integer id
    String text
    Date dateCreated // automatické datum vytvoření
    Task task

    /* Vazby */
    static belongsTo = [task: Task]


    /* Validace a omezení */
    static constraints = {
        id unique: true, blank: false
        text blank: false
        task blank: false
    }
}
