package grailsgtd


/**
 * Model tagů
 */
class Tag {

    /* Parametry */
    Integer id
    String name
    User user
    Set task = []

    @Override
    def String toString() {
        return name
    }

    /* Vazby*/
    static belongsTo = [User, Task]
    static hasMany = [task: Task]


    /* Validace a omezení */
    static constraints = {
        id unique: true, blank: false
        name blank: false
        user blank:false
    }

    /* Lazy strategie pro úkoly k vůli jejich spočítání */
    static mapping = {
        task lazy: false
    }
}
