<%@ page import="grailsgtd.Tag" %>
<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="main">
    <title><g:message code="tag.edit.label"/></title>
</head>

<body>
<div class="nav" role="navigation">
    <ul>
        <li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
    </ul>
</div>

<div id="edit-tag" class="content scaffold-edit" role="main">
    <h1><g:message code="tag.edit.label"/></h1>
    <g:if test="${flash.message}">
        <div class="message" role="status">${flash.message}</div>
    </g:if>
    <g:hasErrors bean="${tagInstance}">
        <ul class="errors" role="alert">
            <g:eachError bean="${tagInstance}" var="error">
                <li <g:if test="${error in org.springframework.validation.FieldError}">data-field-id="${error.field}"</g:if>><g:message
                        error="${error}"/></li>
            </g:eachError>
        </ul>
    </g:hasErrors>
    <g:form action="update" method="post">
        <g:hiddenField name="id" value="${tagInstance?.id}"/>
        <g:hiddenField name="version" value="${tagInstance?.version}"/>
        <fieldset class="form">
            <g:render template="form"/>
        </fieldset>
        <fieldset class="buttons">
            <g:submitButton name="save" class="save" value="${message(code: 'default.button.edit.label')}"/>
            <g:link class="delete" action="delete" id="${tagInstance?.id}">
                <g:message code="default.button.delete.label"/>
            </g:link>
        </fieldset>
    </g:form>
</div>
</body>
</html>
