<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="main">
    <title><g:message code="user.login"/></title>
</head>

<body>

<div class="nav" role="navigation">
    <ul>
        <li><a class="create" href="${createLink(action: 'registration')}"><g:message
                code="user.registration.label"/></a></li>
    </ul>
</div>

<div id="login-user" class="content scaffold-create" role="main">

    <h1><g:message code="user.login"/></h1>

    <g:if test="${flash.message}">
        <g:eachError bean="${book}">
            <li><g:message error="${it}"/></li>
        </g:eachError>
        <div class="message" role="status">${flash.message}</div>
    </g:if>

    <g:form action="doLogin">
        <fieldset class="form">
            <div class="fieldcontain required">
                <label for="username">
                    <g:message code="user.username.label"/>
                    <span class="required-indicator">*</span>
                </label>
                <g:field type="email" name="username"/>
            </div>

            <div class="fieldcontain required">
                <label for="password">
                    <g:message code="user.password.label"/>
                    <span class="required-indicator">*</span>
                </label>
                <g:passwordField name="password"/>
            </div>

        </fieldset>

        <fieldset class="buttons">
            <g:submitButton name="create" class="save" value="${message(code: 'user.login.submit.label')}"/>
        </fieldset>

    </g:form>
</div>
</body>
</html>
