import grails.test.mixin.Mock
import grails.test.mixin.TestFor
import grailsgtd.TaskController

/**
* Testování routování
*/

@TestFor(UrlMappings)
@Mock(TaskController)
class RoutingTests {

    /**
     * Testování routování, převodu adres na konkrétní volání metod na controllerech
     */
    void testRoutes() {
        assertForwardUrlMapping("/task/list", controller: 'task',
            action: "list")

        assertForwardUrlMapping("/task/list/1", controller: 'task',
            action: "list", id: 1)
		
        shouldFail {
            assertForwardUrlMapping("/tag/list", controller: 'tag',
                action: "list")
        }


    }
}
