<?php

/**
 * Base presenter for all application presenters.
 */
abstract class BasePresenter extends Nette\Application\UI\Presenter
{
    /**
     * Kontrola, zda je uživatel přihlášen, v opačném případě dojde k přesměrování na
     * formulář s přihlášením.
     */
    public function startup()
    {
        parent::startup();

        if ((!$this->getUser()->isLoggedIn()) && ($this->getName() != "User")) {

            $this->flashMessage('Pro přístup do této sekce je nutné se přihlásit.', 'error');
            $this->redirect('User:in');
        }

    }

}
