<%@ page import="grailsgtd.Task" %>



<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'name', 'error')} required">
    <label for="name">
        <g:message code="task.name.label"/>
        <span class="required-indicator">*</span>
    </label>
    <g:textField name="name" value="${taskInstance?.name}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'priority', 'error')} required">
    <label for="priority">
        <g:message code="task.priority.label"/>
        <span class="required-indicator">*</span>
    </label>
    <g:select name="priority" from="${taskInstance.constraints.priority.inList}"
              value="${fieldValue(bean: taskInstance, field: 'priority')}" valueMessagePrefix="task.priority" noSelection="['': '-Vyberte prioritu-']"/>
</div>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'state', 'error')} required">
    <label for="state">
        <g:message code="task.state.label"/>
        <span class="required-indicator">*</span>
    </label>
    <g:select id="state" name="state.id" from="${grailsgtd.State.list()}" optionKey="id"
              value="${taskInstance?.state?.id}" class="many-to-one" noSelection="['': '-Vyberte stav-']"/>
</div>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'tag', 'error')} ">
    <label for="tag">
        <g:message code="task.tag.label"/>

    </label>
    <g:select name="tag" from="${grailsgtd.Tag.where {user.username == session.user.username}}" multiple="multiple" optionKey="id" size="5"
              value="${taskInstance?.tag*.id}" class="many-to-many"/>
</div>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'description', 'error')} ">
    <label for="description">
        <g:message code="task.description.label"/>

    </label>
    <g:textField name="description" value="${taskInstance?.description}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'todate', 'error')} required">
    <label for="todate">
        <g:message code="task.todate.label"/>
        <span class="required-indicator">*</span>
    </label>
    <g:datePicker name="todate" precision="day" value="${taskInstance?.todate}"/>
</div>

